Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Class ExpressionParser

    java.lang.Object
      org.apache.cayenne.exp.parser.ExpressionParser

All Implemented Interfaces:
  ExpressionParserConstants, ExpressionParserTreeConstants

    public class ExpressionParser

extends Object
implements ExpressionParserTreeConstants, ExpressionParserConstants

Parser of Cayenne Expressions.

Since:
  1.1

Field Summary
`org.apache.cayenne.exp.parser.Token` | `jj_nt`
`protected org.apache.cayenne.exp.parser.JJTExpressionParserState` | `jjtree`
`org.apache.cayenne.exp.parser.Token` | `token`
`ExpressionParserTokenManager` | `token_source`

Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserTreeConstants
`JJTADD, JJTAND, JJTBETWEEN, JJTDBPATH, JJTDIVIDE, JJTEQUAL, JJTFALSE, JJTGREATER, JJTGREATEROREQUAL, JJTIN, JJTLESS, JJTLESSOREQUAL, JJTLIKE, JJTLIKEIGNORECASE, JJTLIST, JJTMULTIPLY, JJTNAMEDPARAMETER, JJTNEGATE, jjtNodeName, JJTNOT, JJTNOTBETWEEN, JJTNOTEQUAL, JJTNOTIN, JJTNOTLIKE, JJTNOTLIKEIGNORECASE, JJTOBJPATH, JJTOR, JJTSCALAR, JJTSUBTRACT, JJTTRUE, JJTVOID`

Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserConstants
`DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DOUBLE_QUOTED_STRING, EOF, ESC, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, IDENTIFIER, INT_LITERAL, LETTER, NULL, PROPERTY_PATH, SINGLE_QUOTED_STRING, STRING_ESC, tokenImage, TRUE, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral`

Constructor Summary
`ExpressionParser(ExpressionParserTokenManager tm)`
`ExpressionParser(InputStream stream)`
`ExpressionParser(InputStream stream, String encoding)`
`ExpressionParser(Reader stream)`

Method Summary
`void` | `andCondition()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`Expression` | `expression()`
`ParseException` | `generateParseException()`
`org.apache.cayenne.exp.parser.Token` | `getNextToken()`
`org.apache.cayenne.exp.parser.Token` | `getToken(int index)`
`static void` | `main(String[] arg)`
`void` | `multiplySubtractExp()`
`void` | `namedParameter()`
`void` | `notCondition()`
`void` | `numericPrimary()`
`void` | `numericTerm()`
`void` | `orCondition()`
`void` | `pathExpression()`
`void` | `ReInit(ExpressionParserTokenManager tm)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(InputStream stream, String encoding)`
`void` | `ReInit(Reader stream)`
`void` | `scalarCommaList()`
`void` | `scalarConstExpression()`
`void` | `scalarExpression()`
`void` | `scalarNumericExpression()`
`void` | `simpleCondition()`
`void` | `simpleNotCondition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.apache.cayenne.exp.parser.JJTExpressionParserState jjtree

### token_source

    public ExpressionParserTokenManager token_source

### token

    public org.apache.cayenne.exp.parser.Token token

### jj_nt

    public org.apache.cayenne.exp.parser.Token jj_nt

Constructor Detail

### ExpressionParser

    public ExpressionParser(InputStream stream)

### ExpressionParser

    public ExpressionParser(InputStream stream,
                            String encoding)

### ExpressionParser

    public ExpressionParser(Reader stream)

### ExpressionParser

    public ExpressionParser(ExpressionParserTokenManager tm)

Method Detail

### main

    public static void main(String[] arg)

### expression

    public final Expression expression()
                                throws ParseException

  Throws:
    `ParseException`

### orCondition

    public final void orCondition()
                           throws ParseException

  Throws:
    `ParseException`

### andCondition

    public final void andCondition()
                            throws ParseException

  Throws:
    `ParseException`

### notCondition

    public final void notCondition()
                            throws ParseException

  Throws:
    `ParseException`

### simpleCondition

    public final void simpleCondition()
                               throws ParseException

  Throws:
    `ParseException`

### simpleNotCondition

    public final void simpleNotCondition()
                                  throws ParseException

  Throws:
    `ParseException`

### scalarCommaList

    public final void scalarCommaList()
                               throws ParseException

  Throws:
    `ParseException`

### scalarExpression

    public final void scalarExpression()
                                throws ParseException

  Throws:
    `ParseException`

### scalarConstExpression

    public final void scalarConstExpression()
                                     throws ParseException

  Throws:
    `ParseException`

### scalarNumericExpression

    public final void scalarNumericExpression()
                                       throws ParseException

  Throws:
    `ParseException`

### multiplySubtractExp

    public final void multiplySubtractExp()
                                   throws ParseException

  Throws:
    `ParseException`

### numericTerm

    public final void numericTerm()
                           throws ParseException

  Throws:
    `ParseException`

### numericPrimary

    public final void numericPrimary()
                              throws ParseException

  Throws:
    `ParseException`

### namedParameter

    public final void namedParameter()
                              throws ParseException

  Throws:
    `ParseException`

### pathExpression

    public final void pathExpression()
                              throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ExpressionParserTokenManager tm)

### getNextToken

    public final org.apache.cayenne.exp.parser.Token getNextToken()

### getToken

    public final org.apache.cayenne.exp.parser.Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.